Bug 1260393 - display left unlocked after suspend
display left unlocked after suspend
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
22
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-06 07:24 EDT by rmhristev
Modified: 2016-01-17 17:54 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-17 17:54:06 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description rmhristev 2015-09-06 07:24:17 EDT
Description of problem:

On a laptop with Nvidia Optimus (two cards in tandem with passtrough)

X11 with the default configuration will create TWO displays, accessible via Ctrl+F1 and Ctrl+F2

They act at least semi-independently and systemd, locking, etc. only work with one of them (but not the other). systemd seems to be confused.

Among the effects: when closing the lid only one screens is locked, so on resume the other screen is wide open and unprotected.

This is a security issue that may merit a high level.

Version-Release number of selected component (if applicable):

Fedora 22 with latest updates + Bumblebee with proprietary drivers as detailed here:
https://fedoraproject.org/wiki/Bumblebee#Fedora_22_2
 
Seems to be always reproducible.

May be closely related to other bugs re. suspend on lid close.

Additional info:
- Hardware: Dell XPS 15 (9530)
Comment 1 rmhristev 2015-09-10 05:17:50 EDT
I realize now what the problem is.

Gnome Lock Screen will freeze the machine on restore from hibernation.

Could not test the remote access but the keyboard is frozen and the display is black.
Comment 2 rmhristev 2016-01-17 17:54:06 EST
Upgraded to Firefox 23

No longer an issue, no point is following up.

Note You need to log in before you can comment on or make changes to this bug.